package model

import (
	"database/sql/driver"
	"encoding/json"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var ErrNotFound = sqlx.ErrNotFound

type Technologys []string

func (d Technologys) Value() (driver.Value, error) {
	return json.Marshal(d)
}

// Scan 实现方法
func (d *Technologys) Scan(input interface{}) error {
	_ = json.Unmarshal(input.([]byte), &d)
	return nil
}
